Subject: Re: Fwd: Re: bug#28179: Fix use of string-to-multibyte in ispell.el

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Aug 2017 22:02:20 +0300

> From: Reuben Thomas <[email-masked]>
> Date: Thu, 24 Aug 2017 19:50:17 +0100
> Cc: [email-masked]
> 
> >> >   (multibyte-string-p (decode-coding-string "abcd" 'utf-8)) => t
> >
> > That example may be conclusive for UTF-8, but is it conclusive for
> > _any_ encoding?  I don't know.  E.g., what about the ISO-2022 based
> > encodings, where all the bytes are (AFAIR) pure ASCII?
> 
> (multibyte-string-p (decode-coding-string "abcd" 'iso-2022-jp)) => t

That's not what I meant, but never mind.  I only replied to tell there
was no contradiction in my previous messages, and no confusion on my
part, that's all.

Thanks.